[freetds] Installing on MacOSX (Panther) woes....

Pete Prodoehl pete.prodoehl at cygnusinteractive.com
Thu Jun 24 17:13:45 EDT 2004


Lowden, James K wrote:
>>From: Craig Jurney
>>
>>I don't know if this is a libtool issue or what, but I cannot get 
>>either the stable (0.62.4) or latest nightly to build on my Mac 
>>(panther) --
>>
>>	configure appears to run fine
>>	make aborts almost immediately with
>>     "ranlib: you must specify a MODE"
> 
> Short term advice would be to use 0.62.3 and follow the patching instructions in the UG.  That was built with libtool 1.4a; newer distributions use 1.5.6.  
> 
> I know there's one report in the recent archives of success building 0.62.3 on OS X, so there may be subtleties involved.  I'm happy to make any needed changes to the distribution, once we know what they are.  

I've build 0.62.3 on two Mac OS X 10.3.x systems so far. I dug through 
the archives, and also made my own notes, which may not be perfect, but 
helped me a bit:

   http://rasterweb.net/raster/code/freetdsnotes.html


Pete




More information about the FreeTDS mailing list